def read_value_type(prompt='Enter a value> ', convert=float):
    val = input(prompt)
    return convert(val)

print read_value_type()
print read_value_type(prompt='Enter a float> ')
print read_value_type(convert=int)
print read_value_type(prompt='Enter a boolean> ', convert=bool)

